groovy.transform.builder

## Class InitializerStrategy.UNSET

- java.lang.Object
- - groovy.transform.builder.InitializerStrategy.UNSET

Enclosing class:
  InitializerStrategy

    public abstract static class InitializerStrategy.UNSET
    extends java.lang.Object

Internal phantom type used by the `InitializerStrategy` to indicate that a property remains unset. It is used in conjunction with the generated parameterized type helper class.

### Constructor Summary

Constructors
Constructor and Description
`UNSET()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UNSET

    public UNSET()